Skip to main content
`Ctrl`+`K`

# numpy.polynomial.legendre.legadd

polynomial.legendre.legadd(c1, c2)

  Add one Legendre series to another.

  Returns the sum of two Legendre series c1 + c2. The arguments are sequences of coefficients ordered from lowest order term to highest, i.e., [1,2,3] represents the series `P_0 + 2*P_1 + 3*P_2`.

  Parameters:
    c1, c2 array_like

      1-D arrays of Legendre series coefficients ordered from low to high.

  Returns:
    out ndarray

      Array representing the Legendre series of their sum.

  See also

  `legsub`, `legmulx`, `legmul`, `legdiv`, `legpow`

  Notes

  Unlike multiplication, division, etc., the sum of two Legendre series is a Legendre series (without having to “reproject” the result onto the basis set) so addition, just like that of “standard” polynomials, is simply “component-wise.”

  Examples

      >>> from numpy.polynomial import legendre as L
      >>> c1 = (1,2,3)
      >>> c2 = (3,2,1)
      >>> L.legadd(c1,c2)
      array([4.,  4.,  4.])